package ${basePackage}.module.system.mgr;

import ${basePackage}.frame.auth.Token;

/**
 * 应用接入
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2020-06-25
 */
public interface VisitorManager {

    /**
     * 插入
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    ${basePackage}.module.system.rsp.VisitorCreateResponse create(${basePackage}.module.system.req.VisitorCreateRequest request, Token token);

    /**
     * 逻辑删除
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    ${basePackage}.module.system.rsp.VisitorDeleteResponse delete(${basePackage}.module.system.req.VisitorDeleteRequest request, Token token);

    /**
     * 更新
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    ${basePackage}.module.system.rsp.VisitorUpdateResponse update(${basePackage}.module.system.req.VisitorUpdateRequest request, Token token);

    /**
     * 查询
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    ${basePackage}.module.system.rsp.VisitorFindResponse find(${basePackage}.module.system.req.VisitorFindRequest request, Token token);

    /**
     * 获得对象
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    ${basePackage}.module.system.rsp.VisitorGetResponse get(${basePackage}.module.system.req.VisitorGetRequest request, Token token);
}
