package ${basePackage}.module.system.mgr;

import ${basePackage}.frame.auth.Token;

/**
 * 应用资源关系
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2020-06-25
 */
public interface VisitorResManager {

    /**
     * 插入
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    ${basePackage}.module.system.rsp.VisitorResCreateResponse create(${basePackage}.module.system.req.VisitorResCreateRequest request, Token token);

    /**
     * 逻辑删除
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    ${basePackage}.module.system.rsp.VisitorResDeleteResponse delete(${basePackage}.module.system.req.VisitorResDeleteRequest request, Token token);

    /**
     * 更新
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    ${basePackage}.module.system.rsp.VisitorResUpdateResponse update(${basePackage}.module.system.req.VisitorResUpdateRequest request, Token token);

    /**
     * 查询
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    ${basePackage}.module.system.rsp.VisitorResFindResponse find(${basePackage}.module.system.req.VisitorResFindRequest request, Token token);
}
